// defines red light
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_redlight_GSH
#define INCLUDED_redlight_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_red
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   1
	green 0.2
	blue  0.2
	alpha 1
}

light Lit_red
{
	red             1
	green           0.3
	blue            0.3
	specular red	1
	specular green	0
	specular blue	0
	range           6
}

role Rol_Redlight : Rol_DefaultGarbage
{
	shape		Pgn_red
	light		Lit_red
	moves on lifts	yes
	identifier	"redlight"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_redlight_GSH